Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::SimulatedAnnealingOptimizer Struct Reference

Simulated annealing optimization algorithm for permutations. More...

`#include <PolysemousTraining.h>`

Inheritance diagram for faiss::SimulatedAnnealingOptimizer:

## Public Member Functions
| SimulatedAnnealingOptimizer (PermutationObjective *obj, const SimulatedAnnealingParameters &p)
| logs values of the cost function
double | optimize (int *perm)
double | run_optimization (int *best_perm)

## Public Attributes
PermutationObjective * | obj
int | n
| size of the permutation
FILE * | logfile
RandomGenerator * | rnd
double | init_cost
| remember intial cost of optimization
Public Attributes inherited from faiss::SimulatedAnnealingParameters
double | init_temperature
double | temperature_decay
int | n_iter
int | n_redo
int | seed
int | verbose
bool | only_bit_flips
bool | init_random

## Detailed Description

Simulated annealing optimization algorithm for permutations.

Definition at line 95 of file PolysemousTraining.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/PolysemousTraining.h
- /tmp/faiss/PolysemousTraining.cpp